/*
 * Int_testApp.java
 */

package int_test;

import org.jdesktop.application.Application;
import org.jdesktop.application.SingleFrameApplication;

public class main extends SingleFrameApplication {
    @Override protected void startup() {
       Main_forma okno = new Main_forma(this);
       show(okno);
       /**
        * Pokaz okno About_box
        */
       okno.showAboutBox();
       //show(new About_box(xx.getFrame()));
    }
    /**
     * konfiguracja okna
     */
    @Override protected void configureWindow(java.awt.Window root) {
        
    }

    public static main getApplication() {
        
        return Application.getInstance(main.class);
    }

    /**
     * Główna metoda, uruchamia aplikacje.
     */
    public static void main(String[] args) {
        launch(main.class, args);

    }
}
